# Filename: gui_options_label.py
# Purpose: Validation check for option selected.
# Returns: Void.

from maptek import vulcan_gui

sel = vulcan_gui.selection('Select object')
label_mode = 'POINT_NAME'

assert label_mode in vulcan_gui.gui_options.label, \
      'ValueError: Invalid label mode requested'

prop = vulcan_gui.gui_options.property_values()
print(prop)